IF OBJECT_ID('[CsvToTable]') IS NOT NULL DROP FUNCTION [CsvToTable]
GO

CREATE FUNCTION [CsvToTable]
(
    @CSVString NVARCHAR(MAX),
    @Delimiter NVARCHAR(10)
) RETURNS @tbl TABLE ([Value_Text] NVARCHAR(1000), [Value_Index] INT NOT NULL)

AS BEGIN 

	DECLARE @i INT, @j INT
	DECLARE @Index INT
	SET @Index = 1

	SET @i = 1 WHILE @i <= (DATALENGTH(@CSVString)/2)
	BEGIN
		SET @j = CHARINDEX(@Delimiter, @CSVString, @i)
		IF @j = 0 SET @j = (DATALENGTH(@CSVString)/2) + 1

		INSERT INTO @tbl 
		VALUES (SUBSTRING(@CSVString, @i, @j - @i), @Index)

		SET @i = @j + (DATALENGTH(@Delimiter)/2)
		SET @Index = @Index + 1
	END

	RETURN
END
GO