IF OBJECT_ID('[DockerImages_Slim]') IS NOT NULL DROP VIEW [DockerImages_Slim]
GO

CREATE VIEW [DockerImages_Slim]
AS
SELECT [DockerImage_Id],
	   [Image_Digest],
       DI.[Download_Count],
	   [Published_Date],
	   DI.[DockerRepository_Id],
	   [Canonical_Tag_Name],
	   [ContainerConfigBlob_Digest] = DB.[Blob_Digest],
	   DR.[Feed_Id]
  FROM [DockerImages] DI
       INNER JOIN [DockerRepositories] DR
	           ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]
       LEFT JOIN [DockerBlobs] DB
	          ON DB.[DockerBlob_Id] = DI.[ContainerConfigBlob_Id]

GO
