EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedGroups_CreateOrUpdateGroup',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'FeedGroup_Id',
    /* Description_Text        */ 'Creates a new feed group or updates an existing one.'
GO

IF OBJECT_ID('[FeedGroups_CreateOrUpdateGroup]') IS NOT NULL DROP PROCEDURE [FeedGroups_CreateOrUpdateGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedGroups_CreateOrUpdateGroup]
(
	@FeedGroup_Name NVARCHAR(50),
    @FeedGroup_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

	IF @FeedGroup_Id IS NULL BEGIN

		INSERT INTO [FeedGroups]
		(
			[FeedGroup_Name],
			[CreatedBy_User_Name],
			[CreatedOn_Date]
		)
		VALUES
		(
			@FeedGroup_Name,
			dbo.Session_GetUserName(),
			GETUTCDATE()
		)

		SET @FeedGroup_Id = SCOPE_IDENTITY()

	END ELSE BEGIN

		UPDATE [FeedGroups]
		   SET [FeedGroup_Name] = @FeedGroup_Name
		 WHERE [FeedGroup_Id] = @FeedGroup_Id

	END


END
GO

GRANT EXECUTE ON [FeedGroups_CreateOrUpdateGroup] TO [ProGetUser_Role]
