EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Users_SetPassword',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the password using "new Rfc2898DeriveBytes(plainTextPassword, 10, 10000)" in C#, with .GetBytes(20) for @Password_Bytes and .Salt for the @Salt_Bytes'
GO

IF OBJECT_ID('[Users_SetPassword]') IS NOT NULL DROP PROCEDURE [Users_SetPassword]
GO

CREATE PROCEDURE [Users_SetPassword]
(
	@User_Name USERNAME,
	@Password_Bytes BINARY(20),
	@Salt_Bytes BINARY(10)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Users]
	   SET [Password_Bytes] = @Password_Bytes,
	       [Salt_Bytes] = @Salt_Bytes
	 WHERE [User_Name] = @User_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Users_SetPassword] TO [ProGetUser_Role]
GO
