EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerabilitiesForFeed',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the vulnerabilties for a package.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerabilitiesForFeed]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerabilitiesForFeed]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerabilitiesForFeed]
(
	@Feed_Id INT,
	@Vulnerabilities_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

    IF @Vulnerabilities_Count IS NOT NULL
        SET ROWCOUNT @Vulnerabilities_Count

	SELECT V.*
	  FROM [Vulnerabilities_Extended] V
	       LEFT JOIN [FeedVulnerabilitySources] FVS
		           ON V.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]
	       INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = FVS.[Feed_Id] OR F.[Feed_Id] = V.[Feed_Id]
	 WHERE F.[Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerabilitiesForFeed] TO [ProGetUser_Role]
GO